package pcc.chemicraft.base;

import pcc.chemicraft.ChemiCraftData;
import pcc.chemicraft.base.gen.EnumOreSpawnFrequency;
import pcc.chemicraft.util.Formula;

public class ChemiCraftRegisterChemicalRecipe extends ChemiCraftBaseRegister
{

	public ChemiCraftRegisterChemicalRecipe(ChemiCraftBase mod)
	{
		super(mod);
	}

	@Override
	public void start()
	{
		// 元素入手手段

		// 水素
		// 水を分解。

		// ヘリウム
		// 未定。

		// ランタノイド鉱石
		this.mod.apiBase.addAtomOres(
				"LanthanoidOre",
				new Formula("LaCePrNdPmSmEuGdTbDyHoErTmYbLu"),
				this.mod.atomOresID[this.mod.apiBase.getAtomOresLastIndex()],
				EnumOreSpawnFrequency.RARE);
		// LaCePrNdPmSmEuGdTbDyHoErTmYbLu
		this.mod.apiBase.addAtomOresLanguage("LanthanoidOre", "ランタノイド鉱石", "ja_JP");

		// アクチノイド鉱石
		this.mod.apiBase.addAtomOres(
				"ActinoidOre",
				new Formula("AcThPaUNpPuAmCmBkCfEsFmMdNoLr"),
				this.mod.atomOresID[this.mod.apiBase.getAtomOresLastIndex()],
				EnumOreSpawnFrequency.RARE);
		// AcThPaUNpPuAmCmBkCfEsFmMdNoLr
		this.mod.apiBase.addAtomOresLanguage("ActinoidOre", "アクチノイド鉱石", "ja_JP");

	}

}
